esp32_BNO08x 1.4 C++ BNO08x IMU driver component for esp-idf.

Public Member Functions | Public Attributes | List of all members
bno08x_ang_vel_t Struct Reference

Struct to represent angular velocity (units in rad/s) More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions
| bno08x_ang_vel_t ()
template<typename T >
bno08x_ang_vel_t & | operator*= (T value)
bno08x_ang_vel_t & | operator= (const sh2_GyroIntegratedRV_t &source)

## Public Attributes
float | x
float | y
float | z

## Detailed Description

Struct to represent angular velocity (units in rad/s)

## Constructor & Destructor Documentation

## ◆ bno08x_ang_vel_t()

bno08x_ang_vel_t::bno08x_ang_vel_t | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator*=()

template<typename T >

bno08x_ang_vel_t & bno08x_ang_vel_t::operator*= | ( | T | value | ) |
| inline

## ◆ operator=()

bno08x_ang_vel_t & bno08x_ang_vel_t::operator= | ( | const sh2_GyroIntegratedRV_t & | source | ) |
| inline

## Member Data Documentation

## ◆ x

float bno08x_ang_vel_t::x

## ◆ y

float bno08x_ang_vel_t::y

## ◆ z

float bno08x_ang_vel_t::z

The documentation for this struct was generated from the following file:

- /media/develop/git/imu_pr_cleanup/components/esp32_BNO08x/include/BNO08xGlobalTypes.hpp